Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041439
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformcriticalhave not tried2019-07-23 16:122019-07-26 08:38
ReportercbernerView Statuspublic 
Assigned Tocberner 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8ec0f1dbef30
ProjectionnoneETAnoneTarget Version3.0PR19Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelCoding ( Testing )
Regression date2019-05-20
Regression introduced in releasemain
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/4dc58edab48f2f9e20cfce74f557827e43919803 [^]
Triggers an Emergency PackNo
Summary

0041439: Process.getADProcessParameterList has been removed and was in use

DescriptionAs part of this issue [1], some one-to-many child methods were removed, assuming that they were not in use.

But the service contract module was found to be using Process.getADProcessParameterList, resulting in a build error.

[1] https://issues.openbravo.com/view.php?id=40906 [^]
Steps To Reproduce- Install the service contract module [1] and its dependencies: Contract management infrastructure [2]
- Compile: ant smartbuild -Dlocal=no
- The following error is shown in the log:

compileSqlc:
    [javac] Compiling 72 source files to /home/openbravo/ws/pi/openbravo/build/classes
    [javac] /home/openbravo/ws/pi/openbravo/modules/org.openbravo.contract.services/src/org/openbravo/contract/services/process/dao/ProcessServiceContractBackgroundDao.java:70: error: cannot find symbol
    [javac] return OBDal.getInstance().get(Process.class, processId).getADProcessParameterList().get(0)
    [javac] ^
    [javac] symbol: method getADProcessParameterList()
    [javac] location: class Process
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 error

[1] https://code.openbravo.com/erp/pmods/org.openbravo.contract.services [^]
[2] https://code.openbravo.com/erp/mods/org.openbravo.contract [^]
Proposed SolutionChange the IS_CHILD_PROPERTY_IN_PARENT to Y for the problematic column, so that its child property is included in its parent entity.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0041438 closedcberner Process.getADProcessParameterList has been removed and was in use 

-  Notes
(0113664)
hgbot (developer)
2019-07-26 08:38

Repository: erp/backports/3.0PR19Q3
Changeset: 8ec0f1dbef30ff1ac876df5d5d427898ca72498f
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Wed Jul 24 09:37:57 2019 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR19Q3/rev/8ec0f1dbef30ff1ac876df5d5d427898ca72498f [^]

fixes issue 41439: Process.getADProcessParameterList is generated again

Flag IS_CHILD_PROPERTY_IN_PARENT has been changed to Y on column AD_Process_ID in table ADProcessParameter
so it generates Process.getADProcessParameterList again. Fixes module "service contract".

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0113666)
AugustoMauch (developer)
2019-07-26 08:38

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2019-07-23 16:16 cberner Type defect => backport
2019-07-23 16:16 cberner Target Version => 3.0PR19Q3
2019-07-23 16:36 cberner Steps to Reproduce Updated View Revisions
2019-07-26 08:38 hgbot Checkin
2019-07-26 08:38 hgbot Note Added: 0113664
2019-07-26 08:38 hgbot Status scheduled => resolved
2019-07-26 08:38 hgbot Resolution open => fixed
2019-07-26 08:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR19Q3/rev/8ec0f1dbef30ff1ac876df5d5d427898ca72498f [^]
2019-07-26 08:38 AugustoMauch Review Assigned To => AugustoMauch
2019-07-26 08:38 AugustoMauch Note Added: 0113666
2019-07-26 08:38 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker